import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { d as defineCustomElement$2 } from './sc-tag2.js';

const scBadgeNoticeCss = ":host{display:block}.notice{background:var(--sc-badge-notice-background-color, var(--sc-color-white));color:var(--sc-badge-notice-text-color, var(--sc-color-gray-950));border:solid 1px var(--sc-badge-notice-border-color, var(--sc-color-white));border-radius:var(--sc-border-radius-small);padding:var(--sc-spacing-small);font-size:var(--sc-font-size-x-small);display:flex;gap:0.5em;line-height:1}.notice--warning{background:var(--sc-color-warning-50);color:var(--sc-color-warning-700)}";

const ScBadgeNotice$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.type = 'primary';
    this.size = 'small';
  }
  render() {
    return (h("div", { class: {
        'notice': true,
        'notice--is-small': this.size === 'small',
        'notice--is-medium': this.size === 'medium',
        'notice--is-large': this.size === 'large',
        'notice--primary': this.type === 'primary',
        'notice--success': this.type === 'success',
        'notice--warning': this.type === 'warning',
        'notice--danger': this.type === 'danger',
        'notice--default': this.type === 'default',
      } }, h("sc-tag", { size: this.size, type: this.type }, this.label), h("slot", null)));
  }
  static get style() { return scBadgeNoticeCss; }
}, [1, "sc-badge-notice", {
    "type": [1],
    "label": [1],
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["sc-badge-notice", "sc-tag"];
  components.forEach(tagName => { switch (tagName) {
    case "sc-badge-notice":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, ScBadgeNotice$1);
      }
      break;
    case "sc-tag":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}
defineCustomElement$1();

const ScBadgeNotice = ScBadgeNotice$1;
const defineCustomElement = defineCustomElement$1;

export { ScBadgeNotice, defineCustomElement };
